html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    color: #333;
}

h1,h2 {
    text-shadow: 2px 2px 3px rgba(0,0,0,0.7);
}

p {
    margin-top: -2px;
    margin-bottom: -2px;
}



header {
    background: linear-gradient(25deg, #d4af37, #f5e6a8);
    padding: 15px 30px;
    position: relative;
    top: 0px;
    border-radius: 10px;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

nav {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.nav-bar {
    display: flex;
    flex-direction: row;
    position: relative;
    justify-content: space-evenly;
    background: linear-gradient(180deg, #dedace, #e8e6e1);
    margin: -10px;
    margin-left: -25px;
    margin-right: -25px;
    border-radius: 10px;
    border: outset;
    border-color:white;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

.logo-image {
    width: 120px;
    padding-top: 5px;
    border-radius: 6px;
    box-shadow: 0 3px 9px rgba(0,0,0,0.1);
    margin-left: 5px;
    margin-right: 15px;
}
.top-menu-item {
    margin-top: 5px;
    margin-bottom: 5px;
}

.menu-items {
    display: flex;
    flex-direction: row;
    background-color: #dedace;
    border: outset;
    border-radius: 10px;
    border-color:white;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
    margin-top: 15px;
    margin-bottom: -10px;
    margin-left: -20px;
    margin-right: -20px;
    justify-content: space-evenly;
    transition: all 0.3s ease;
    padding: 0px 0;
}


    .menu-items h1 {
        color: white;
    }

    .menu-items ul {
        display: flex;
        flex-direction:row;
        list-style: none;
        gap: 5px;
        padding-left: 0px;
    }

    .menu-items a {
        color: black;
        text-decoration: solid;
        font-weight: bold;
        border-radius: 20px;
        border-style: outset;
        border-color: white;
        padding: 5px;
    }

        .menu-items a :hover {
            color: white;
            text-decoration: solid;
            font-weight: bold;
            border-radius: 20px;
            border-style: outset;
            border-color: white;
            padding: 5px;
        }

        .menu-items a :active {
            color: black;
            border-radius: 20px;
            border-style: inset;
        }

section {
    margin:0;
    padding: 20px 20px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

.light {
    background: #fff;
}

.beige {
    background: #f5f4f2;
}

h2 {
    color: #d4af37;
}

.intro-background {
    background-image: url("SiteMedia/Content/index-img.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    padding-top: 250px;
    padding-bottom: 250px;
    margin-top:-50px;
    border-radius: 5px;
}
.info-section-data {
    background-color: rgba(255,255,255,75%);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 100px 10px;
}



.quote-text {
    text-align: left;
    text-anchor: start;
    color: black;
    padding-bottom: 1em;
    margin-left: 0;
    padding-top: 1em;
    font-size: small;
}

.about-section-text {
    text-align: start;
    text-anchor: middle;
}

.services {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.card {
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}

.white-card {
    background: linear-gradient(180deg, #e8e6e1, white);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}

.alt-card {
    background: linear-gradient(270deg, #dedace, #e8e6e1);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}

.gold-card {
    background: linear-gradient(90deg, #ffefad, #e8d999);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}

.gallery {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: center;
    gap: 1em;
}

.gallery-images {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: start;
    flex-wrap: wrap;
    align-content: center;
    gap: 1em;
}

.gallery img {
    width: 35%;
    border-radius: 10px;
    border-style: outset;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}

.testimonial {
    font-style: italic;
    text-align: center;

    margin-top: 1em;
    border-style: outset;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}

.contact-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: justify;
    text-anchor: middle;
}

.contact-info {
    margin: -15px;
    margin-left: -15px;
    margin-right: -15px;
}

.email-button {
    margin-top:10px;
    display: flex;
    justify-content: center;
    text-align:center;
    width: 90px;
    border-style: outset;
    border-radius: 25px;
    background: linear-gradient(90deg, #ffefad, #e8d999);
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}
    .email-button a {
        color: black;
    }
        .email-button :hover {
            color:white;
        }
            .email-button :active {
                color: black;
                display: flex;
                justify-content: center;
                margin-left: -4px;
                margin-top: -4px;
                width: 90px;
                border-style: inset;
                border-radius: 25px;
                background: linear-gradient(90deg, #ffefad, #e8d999);
                box-shadow: 0 2px 5px rgba(0,0,0,0.5);
            }



.page-top-button {
    width: 90px;
    display: block;
    text-align: center;
    text-anchor: middle;
    text-wrap:nowrap;
    padding: 1px 2px;
    margin: 0 auto;

    margin-bottom: 3px;
    color: black;
    text-decoration: none;
    border-style: outset;
    border-radius: 25px;
    background: linear-gradient(90deg, #ffefad, #e8d999);
    box-shadow: 0 4px 10px rgba(0,0,0,0.5);
}

    .page-top-button a:link,
    .page-top-button a:visited,
    .page-top-button a:active {
        color: black;
        text-decoration: none;
    }

footer {
    background: linear-gradient(360deg, #d4af37, #f5e6a8);
    text-align: center;
    padding: 20px;
    color: white;
    border-radius: 10px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

.footer-background {
    background: linear-gradient(270deg, #dedace, #e8e6e1);
    position: relative;
    margin: -15px;
    padding-top: 20px;
    padding-bottom: 20px;
    border-radius: 10px;
    border-style:outset;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

.text-disclaimer {
    margin-bottom: 0;
    padding-bottom: 0;
    margin-top: 2em;
}

.contact-buttons{
    display: flex;
    flex-direction: row;
    justify-content:center;
    margin-top:10px;
    gap:15px;
}
/* Mobile styles */
@media (max-width: 768px) {
    /* Optional: tidy top bar */
    .nav-bar {
        flex-direction: column;
        text-align: center;
    }

    .gallery img {
        width: 10em;
    }
}
